Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class DateFormatter

    java.lang.Object
      org.apache.struts2.util.DateFormatter

    public class DateFormatter

extends Object

A bean that can be used to format dates

Field Summary
`(package private) Date` | `date`
`(package private) DateFormat` | `format`
`(package private) DateFormat` | `parser`

Constructor Summary
`DateFormatter()`

Method Summary
`Date` | `getDate()`
`String` | `getFormattedDate()`
`void` | `setDate(Date date)`
`void` | `setDate(int date)`
`void` | `setDate(String date)`
`void` | `setFormat(DateFormat format)`
`void` | `setFormat(String format)`
`void` | `setParseFormat(String format)`
`void` | `setParser(DateFormat parser)`
`void` | `setTime(long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### date

    Date date

### format

    DateFormat format

### parser

    DateFormat parser

Constructor Detail

### DateFormatter

    public DateFormatter()

Method Detail

### setDate

    public void setDate(String date)

### setDate

    public void setDate(Date date)

### setDate

    public void setDate(int date)

### getDate

    public Date getDate()

### setFormat

    public void setFormat(String format)

### setFormat

    public void setFormat(DateFormat format)

### getFormattedDate

    public String getFormattedDate()

### setParseFormat

    public void setParseFormat(String format)

### setParser

    public void setParser(DateFormat parser)

### setTime

    public void setTime(long time)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.